Validate a post
curl --request POST \
--url https://api.kavenio.com/v1/tools/validate/post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profileId": "aaaaaaaaaaaaaaaa",
"content": "Validation-only post body.",
"platforms": [
{
"platform": "linkedin",
"accountId": "bbbbbbbbbbbbbbbb"
}
]
}
'import requests
url = "https://api.kavenio.com/v1/tools/validate/post"
payload = {
"profileId": "aaaaaaaaaaaaaaaa",
"content": "Validation-only post body.",
"platforms": [
{
"platform": "linkedin",
"accountId": "bbbbbbbbbbbbbbbb"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileId: 'aaaaaaaaaaaaaaaa',
content: 'Validation-only post body.',
platforms: [{platform: 'linkedin', accountId: 'bbbbbbbbbbbbbbbb'}]
})
};
fetch('https://api.kavenio.com/v1/tools/validate/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"valid": true,
"message": "<string>",
"errors": [
{
"error": "<string>",
"platform": "<string>"
}
],
"warnings": [
{
"warning": "<string>",
"platform": "<string>"
}
]
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Validation
Validate post
Validates a post payload against platform and scheduling rules without creating a post.
POST
/
v1
/
tools
/
validate
/
post
Validate a post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 255Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 255Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Was this page helpful?
⌘I